Last modified: 2014-06-17 17:29:58 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16235 - Search suggestions container not working well for skins placing search box in the footer
Search suggestions container not working well for skins placing search box in...
Status: REOPENED
Product: MediaWiki skins
Classification: Unclassified
CologneBlue (Other open bugs)
unspecified
All All
: Low minor
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: css 27411 46949
  Show dependency treegraph
 
Reported: 2008-11-04 02:02 UTC by NSK Nikolaos S. Karastathis
Modified: 2014-06-17 17:29 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description NSK Nikolaos S. Karastathis 2008-11-04 02:02:05 UTC
In bug #15902, which is now replaced by this bug, we found that the Ajax MWSuggest search suggestions container does not work well with the Nostalgia skin, which has its search box at the bottom of the page (and it is desirable to let it as it is because it emulated usemodwiki which also has its search box in that position).

This can be a problem with any skin that has its search box at the bottom of the page, not just Nostalgia.  Therefore it can be considered a bug of the MWSuggest functionality because it assumes that the search box position will always have sufficient spacing under it.

I think the bug could be fixed by taking care of lines 201-202 of the mwsuggest.js file: /skins/common/mwsuggest.js
Comment 1 Bartosz Dziewoński 2012-11-01 18:08:19 UTC
This is an ancient report, the code mentioned above no longer exists, and I'm not sure what was it about initially, but it's still valid: the AJAX search suggestions show below the search field, forcing the user to scroll the page down to click them.

They could probably be displayed above the search box in these cases.

(Adding 27411 tracker.)
Comment 2 Daniel Friesen 2012-11-01 19:23:28 UTC
Rather than mwsuggest it's simple search now.

That said, I don't consider this a priority. Placing search inside the footer is known to be bad for site usability. Any skin actually affected by this bug is already broken as far as I'm concerned.
Comment 3 Chad H. 2013-04-02 16:57:02 UTC
The skins that implement this sort of functionality were removed in Ia6d73c2d. Marking this WONTFIX.
Comment 4 Bartosz Dziewoński 2013-04-02 17:33:02 UTC
Not really, there's still Cologne Blue left. It has a second search box in the sidebar, though, so maybe the footer one could be removed. But until it is, reopening.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links